<template>
  <div class="skmpay-step">
    <div class="container">
      <div class="skmpay-step-wrap">
        <div
          class="skmpay-step-item"
          :class="{ current: stepActive >= index + 1 }"
          v-for="(item, index) in steps"
          :key="index"
        >
          <div class="skmpay-step-circle">
            <span>{{ index + 1 }}</span>
          </div>
          <div class="skmpay-step-text mt-2">{{ item }}</div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "SkmpayStep",
  props: {
    steps: {
      type: Array,
      default: () => ["訂單資訊", "付款", "完成訂購"]
    },
    stepActive: {
      type: Number,
      default: 1
    }
  }
};
</script>

<style lang="scss" scoped>
.skmpay-step {
  padding: 24px 0;

  &-wrap {
    display: flex;
    justify-content: space-between;
  }

  &-circle {
    position: relative;
    display: flex;
    justify-content: center;

    &:after {
      content: "";
      position: absolute;
      width: 100%;
      height: 2px;
      left: 0;
      background-color: $color-pigeon-grey;
      top: 50%;
      transform: translateY(-50%);
    }

    span {
      position: relative;
      z-index: 1;
      width: 24px;
      height: 24px;
      font-size: 0;
      border-radius: 100%;
      background-color: $color-pigeon-grey;
    }
  }

  &-item {
    position: relative;
    text-align: center;
    flex-grow: 1;
    color: $color-primary-grey;
    font-size: 18px;

    &:first-child,
    &:last-child {
      .skmpay-step-circle {
        &::after {
          width: 50%;
        }
      }
    }

    &:first-child {
      .skmpay-step-circle {
        &:after {
          left: auto;
          right: 0;
        }
      }
    }

    &.current {
      color: $color-skm-red;

      .skmpay-step-circle {
        span {
          background-color: $color-skm-red;
        }
      }
    }
  }
}
</style>
